#
# WARNING, READ FIRST:
#
# This is a special package that needs special treatment. Due to the amount of
# security updates it needs, it's common to ship new upstream versions instead of patching.
# That means this package MUST be BUILDABLE for stable official releases.
# This also means only STABLE upstream releases, NO betas.
# This is a discussed topic. Please, do not flame it again.

%define oname firefox
%define name %{oname}-l10n
%define version 24.3.0

%define release %mkrel 1

%define xpidir ftp://ftp.mozilla.org/pub/mozilla.org/firefox/releases/%{version}esr/linux-i686/xpi/

# Supported l10n language lists
%define langlist af ar as ast be bg bn_IN bn_BD br bs ca cs csb cy da de el en_GB en_ZA eo es_AR es_CL es_ES es_MX et eu fa ff fi fr fy ga_IE gd gl gu_IN he hi hr hu hy id is it ja kk ko km kn ku lg lij lt lv mai mk ml mr nb_NO nl nn_NO nso or pa_IN pl pt_BR pt_PT ro ru si sk sl sq sr sv_SE ta ta_LK te th tr uk vi zh_CN zh_TW zu

# Disabled l10n languages, for any reason
# - no locales-XX package:
# uu ak rm son

# Disabled hunspell dicts, for any reason
%define disabled_dict_langlist bs ff fi ja lij lg ta_LK tr zh_CN zh_TW

# Language descriptions
%define language_ak ak
%define langname_ak Akan
%define language_ar ar
%define langname_ar Arabic
%define language_ast ast
%define langname_ast Asturian
%define language_as as
%define langname_as Assamese
%define language_af af
%define langname_af Afrikaans
%define language_be be
%define langname_be Belarusian
%define language_bg bg
%define langname_bg Bulgarian
%define language_bn_BD bn-BD
%define langname_bn_BD Bengali
%define language_bn_IN bn-IN
%define langname_bn_IN Bengali
%define language_br br
%define langname_br Breton
%define language_bs bs
%define langname_bs Bosnian
%define language_ca ca
%define langname_ca Catalan
%define language_cs cs
%define langname_cs Czech
%define language_csb csb
%define langname_csb Kashubian
%define language_cy cy
%define langname_cy Welsh
%define language_da da
%define langname_da Dansk
%define language_de de
%define langname_de German
%define language_el el
%define langname_el Greek
%define language_en_GB en-GB
%define langname_en_GB British English
%define language_en_ZA en-ZA
%define langname_en_ZA English (South Africa)
%define language_eo eo
%define langname_eo Esperanto
%define language_es_AR es-AR
%define langname_es_AR Spanish (Argentina)
%define language_es_CL es-CL
%define langname_es_CL Spanish (Chile)
%define language_es_ES es-ES
%define langname_es_ES Spanish
%define language_es_MX es-MX
%define langname_es_MX Spanish (Mexico)
%define language_et et
%define langname_et Estonian
%define language_eu eu
%define langname_eu Basque
%define language_fa fa
%define langname_fa Farsi
%define language_ff ff
%define langname_ff Fulah
%define language_fi fi
%define langname_fi Finnish
%define language_fr fr
%define langname_fr French
%define language_fy fy-NL
%define langname_fy Frisian
%define language_ga_IE ga-IE
%define langname_ga_IE Irish
%define language_gd gd
%define langname_gd Scottish Gaelic
%define language_gl gl
%define langname_gl Galician
%define language_gu_IN gu-IN
%define langname_gu_IN Gujarati
%define language_he he
%define langname_he Hebrew
%define language_hi hi-IN
%define langname_hi Hindi
%define language_hr hr
%define langname_hr Croatian
%define language_hu hu
%define langname_hu Hungarian
%define language_hy hy-AM
%define langname_hy Armenian
%define language_id id
%define langname_id Indonesian
%define language_is is
%define langname_is Icelandic
%define language_it it
%define langname_it Italian
%define language_ja ja
%define langname_ja Japanese
%define language_kk kk
%define langname_kk Kazakh
%define language_ko ko
%define langname_ko Korean
%define language_km km
%define langname_km Khmer
%define language_kn kn
%define langname_kn Kannada
%define language_ku ku
%define langname_ku Kurdish
%define language_lg lg
%define langname_lg Ganda
%define language_lij lij
%define langname_lij Ligurian
%define language_lt lt
%define langname_lt Lithuanian
%define language_lv lv
%define langname_lv Latvian
%define language_mai mai
%define langname_mai Maithili
%define language_mk mk
%define langname_mk Macedonian
%define language_ml ml
%define langname_ml Malayalam
%define language_mr mr
%define langname_mr Marathi
%define language_nb_NO nb-NO
%define langname_nb_NO Norwegian Bokmaal
%define language_nn_NO nn-NO
%define langname_nn_NO Norwegian Nynorsk
%define language_nl nl
%define langname_nl Dutch
%define language_nso nso
%define langname_nso Northern Sotho
%define language_or or
%define langname_or Oriya
%define language_pa_IN pa-IN
%define langname_pa_IN Punjabi (gurmukhi)
%define language_pl pl
%define langname_pl Polish
%define language_pt_BR pt-BR
%define langname_pt_BR Brazilian portuguese
%define language_pt_PT pt-PT
%define langname_pt_PT Portuguese
%define language_rm rm
%define langname_rm Rumantsch
%define language_ro ro
%define langname_ro Romanian
%define language_ru ru
%define langname_ru Russian
%define language_si si
%define langname_si Sinhala
%define language_sk sk
%define langname_sk Slovak
%define language_sl sl
%define langname_sl Slovenian
%define language_son son
%define langname_son Soŋay
%define language_sq sq
%define langname_sq Shqipe
%define language_sr sr
%define langname_sr Serbian
%define language_sv_SE sv-SE
%define langname_sv_SE Swedish
%define language_ta ta
%define langname_ta Tamil
%define language_ta_LK ta-LK
%define langname_ta_LK Tamil (Sri Lanka)
%define language_te te
%define langname_te Telugu
%define language_th th
%define langname_th Thai
%define language_tr tr
%define langname_tr Turkish
%define language_uk uk
%define langname_uk Ukrainian
%define language_uk_UA uk-UA
%define langname_uk_UA Ukrainian
%define language_vi vi
%define langname_vi Vietnamese
%define language_zh_CN zh-CN
%define langname_zh_CN Simplified Chinese
%define language_zh_TW zh-TW
%define langname_zh_TW Traditional Chinese
%define language_zu zu
%define langname_zu Zulu

# --- Danger line ---

# Defaults (all languages enabled by default)
# dicts
%{expand:%(for lang in %{langlist}; do echo "%%define with_dict_$lang 1"; done)}
%{expand:%(for lang in %{disabled_dict_langlist}; do echo "%%define with_dict_$lang 0"; done)}

# Locales
%{expand:%(for lang in %{langlist}; do echo "%%define locale_$lang `echo $lang | cut -d _ -f 1` "; done)}

Summary:	Localizations for Firefox (virtual package)
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		Networking/WWW
Url:		http://www.mozilla.org/firefox/organizations/
# Language package template
Source0:	%{name}-template.in
# l10n sources
%{expand:%(\
	i=1; \
	for lang in %langlist; do\
		echo "%%{expand:Source$i: %{xpidir}/%%{language_$lang}.xpi}";\
		i=$[i+1];\
	done\
	)
}
BuildRequires:	firefox-devel
BuildArch:	noarch

%description
Localizations for Firefox web browser.


# Expand all languages packages.
%{expand:%(\
	for lang in %langlist; do\
		echo "%%{expand:%%(sed "s!__LANG__!$lang!g" %{_sourcedir}/%{name}-template.in 2> /dev/null)}";\
	done\
	)
}

%install
# Convert rpm macros to bash variables
%{expand:%(for lang in %{langlist}; do echo "language_$lang=%%{language_$lang}"; done)}

mkdir -p %{buildroot}%{firefox_extdir}/

# Install all languages
for lang in %{langlist}; do
	language="language_$lang"
	language=${!language}

	# l10n
	cp %{_sourcedir}/${language}.xpi  %{buildroot}%{firefox_extdir}/langpack-${language}@firefox.mozilla.org.xpi

done


%changelog
* Wed Feb 05 2014 fwang <fwang> 24.3.0-1.mga3
+ Revision: 583126
- 24.3.0esr
- new version 17.0.9esr
- new version 17.0.8esr
- new version 17.0.7
- new version 17.0.6esr

  + oden <oden>
    - 24.2.0
    - 24.1.0esr
    - 24.0esr (sync with cauldron)

  + luigiwalser <luigiwalser>
    - 24.1.1esr

* Tue Apr 02 2013 fwang <fwang> 17.0.5-1.mga3
+ Revision: 407106
- new version 17.0.5esr

* Sat Mar 09 2013 fwang <fwang> 17.0.4-1.mga3
+ Revision: 402002
- new version 17.0.4esr

* Sat Feb 16 2013 fwang <fwang> 17.0.3-1.mga3
+ Revision: 398687
- new version 17.0.3

* Fri Jan 11 2013 umeabot <umeabot> 17.0.2-2.mga3
+ Revision: 350433
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 fwang <fwang> 17.0.2-1.mga3
+ Revision: 342341
- new version 17.0.2esr

* Sat Dec 01 2012 fwang <fwang> 17.0.1-1.mga3
+ Revision: 323620
- new version 17.0.1

* Wed Nov 21 2012 fwang <fwang> 17.0-1.mga3
+ Revision: 319951
- new version 17.0esr

* Sat Oct 27 2012 fwang <fwang> 16.0.2-1.mga3
+ Revision: 310728
- new version 16.0.2

* Fri Oct 12 2012 fwang <fwang> 16.0.1-1.mga3
+ Revision: 304778
- new version 16.0.1

* Tue Oct 09 2012 fwang <fwang> 16.0-1.mga3
+ Revision: 303854
- new version 16.0

* Sat Sep 08 2012 fwang <fwang> 15.0.1-1.mga3
+ Revision: 289818
- new version 15.0.1

* Tue Aug 28 2012 fwang <fwang> 15.0-1.mga3
+ Revision: 284641
- new version 15.0

* Tue Jul 31 2012 fwang <fwang> 14.0.1-1.mga3
+ Revision: 276721
- new version 14.0.1

* Sat Jun 16 2012 fwang <fwang> 13.0.1-1.mga3
+ Revision: 260903
- new version 13.0.1

* Sat Jun 02 2012 fwang <fwang> 13.0-1.mga3
+ Revision: 253371
- 13.0 final

* Sat Jun 02 2012 dmorgan <dmorgan> 13.0-0.b7.1.mga3
+ Revision: 253204
- New version 13.0b7

* Sun Apr 22 2012 fwang <fwang> 10.0.4-1.mga2
+ Revision: 232484
- new version 10.0.4esr

* Tue Apr 17 2012 kamil <kamil> 10.0.3-2.mga2
+ Revision: 231157
- prepare package against hunspell dictionaries
- clean package

* Wed Mar 14 2012 fwang <fwang> 10.0.3-1.mga2
+ Revision: 223325
- new version 10.0.3esr

* Mon Feb 27 2012 pterjan <pterjan> 10.0.2-2.mga2
+ Revision: 215441
- Simplify template

  + fwang <fwang>
    - obsoletes beta branch, make it same with main pkg

* Fri Feb 17 2012 fwang <fwang> 10.0.2-1.mga2
+ Revision: 210053
- new version 10.0.2esr

* Fri Feb 10 2012 fwang <fwang> 10.0.1-1.mga2
+ Revision: 206844
- new version 10.0.1esr

* Tue Jan 31 2012 fwang <fwang> 10.0-1.mga2
+ Revision: 203619
- new version 10.0

* Thu Dec 22 2011 fwang <fwang> 9.0.1-2.mga2
+ Revision: 185725
- upload real tarball

* Thu Dec 22 2011 dmorgan <dmorgan> 9.0.1-1.mga2
+ Revision: 185717
- New version 9.0.1

* Tue Dec 20 2011 dmorgan <dmorgan> 9.0-1.mga2
+ Revision: 184847
- New version 9.0

* Wed Nov 16 2011 fwang <fwang> 8.0.1-1.mga2
+ Revision: 168134
- new version 8.0.1

* Sun Nov 06 2011 fwang <fwang> 8.0-1.mga2
+ Revision: 164133
- new version 8.0

* Fri Sep 30 2011 fwang <fwang> 7.0.1-1.mga2
+ Revision: 150411
- new version 7.0.1

* Tue Sep 27 2011 fwang <fwang> 7.0-1.mga2
+ Revision: 149209
- new version 7.0

* Sun Sep 04 2011 fwang <fwang> 6.0.2-1.mga2
+ Revision: 138411
- new version 6.0.2

* Wed Aug 31 2011 fwang <fwang> 6.0.1-1.mga2
+ Revision: 136966
- new version 6.0.1
- rebuild for higher release tag than stable 1
- fix langname
- new version 6.0

* Tue Jul 12 2011 fwang <fwang> 5.0.1-1.mga2
+ Revision: 123010
- new version 5.0.1

* Tue Jun 21 2011 gil <gil> 5.0-0.mga2
+ Revision: 111102
- update to 5.0

* Sat Apr 30 2011 tv <tv> 4.0.1-1.mga1
+ Revision: 93616
- fix Farsi language code
- new release

* Tue Mar 22 2011 ahmad <ahmad> 4.0-1.mga1
+ Revision: 75380
- update to firefox-4.0
- adjust the langlist

* Sun Mar 20 2011 dmorgan <dmorgan> 4.0-0.rc2.1.mga1
+ Revision: 74853
- Add back file remove by error
- Update to Rc2
- Add sha1.lst

* Thu Mar 10 2011 tv <tv> 4.0-0.rc1.4.mga1
+ Revision: 68040
- real RC1

* Thu Mar 10 2011 tv <tv> 4.0-0.rc1.3.mga1
+ Revision: 67853
- new release

* Tue Mar 01 2011 ahmad <ahmad> 4.0-0.b12.3.mga1
+ Revision: 62304
+ rebuild (emptylog)

* Sat Feb 26 2011 tv <tv> 4.0-0.b12.2.mga1
+ Revision: 60497
- new release

* Thu Feb 24 2011 ahmad <ahmad> 4.0-0.b11.2.mga1
+ Revision: 59006
- disable ak rm son language packs, we don't have those locales-*

* Tue Feb 22 2011 ahmad <ahmad> 4.0-0.b11.1.mga1
+ Revision: 55874
- update to 4.0b11
- add new lang packs

  + dmorgan <dmorgan>
    - Rebuild against new firefox

* Tue Feb 01 2011 tv <tv> 4.0-0.b10.3.mga1
+ Revision: 45607
- simplify
- imported package firefox-l10n

